{"swagger":"2.0","info":{"description":"1map API Documentation (<b>Premium</b> and <b>Enterprise</b> Users).\n\n# How it works:\n\nFirst you will login to the API with the <b><i>API's Login Service</i></b>.\n\nAfter a successful call to the <b><i>API's Login Service</i></b> you will receive a Token.\nThis Token is needed for all secure calls to the 1map server (To all API calls where there is a lock icon next to it).\nA Token is only valid per session.\nThe Session and your Token will expire after 2 hours of inactivity or the moment you do a call to the <b><i>API's Logout Service</i></b>.\n\nPlease note that all date/time fields are returned in SAST (South Africa Standard Time) time zone and in the <a href=\"https://en.wikipedia.org/wiki/ISO_8601\" target=\"_blank\">ISO 8601</a> format (YYYY-MM-DD[T]HH:mm:ss.SSS[Z]).\n\nPlease feel free to contact us at [Support](mailto:support@1map.co.za), should you require any additional API Services not listed below.\n\nSee a full working Javascript example and download source code [here](../api/jsmap)\n\n---\n","version":"1.0.0","title":"1map API","termsOfService":"/terms.html","contact":{"email":"support@1map.co.za"},"license":{"name":" ","url":"https://www.1map.co.za/api"}},"basePath":"/api/v1","tags":[{"name":"Authorization","description":"1map API - Authorization","externalDocs":{"url":"https://www.1map.co.za/api"}},{"name":"Parameters","description":"1map API - Parameters","externalDocs":{"url":"https://www.1map.co.za/api"}},{"name":"Addresses","description":"1map API - Addresses","externalDocs":{"url":"https://www.1map.co.za/api"}},{"name":"Attributes Basic","description":"1map API - Attributes (Basic)","externalDocs":{"url":"https://www.1map.co.za/api"}},{"name":"Attributes Advanced","description":"1map API - Attributes (Advanced)","externalDocs":{"url":"https://www.1map.co.za/api"}},{"name":"Land Parcels","description":"1map API - Land Parcels","externalDocs":{"url":"https://www.1map.co.za/api"}},{"name":"Attachments","description":"1map API - Attachments","externalDocs":{"url":"https://www.1map.co.za/api"}},{"name":"Spatial","description":"1map API - Spatial","externalDocs":{"url":"https://www.1map.co.za/api"}},{"name":"Tracking","description":"1map API - Tracking","externalDocs":{"url":"https://www.1map.co.za/api"}},{"name":"Offline","description":"1map API - Offline","externalDocs":{"url":"https://www.1map.co.za/api"}}],"paths":{"/auth/login":{"get":{"tags":["Authorization"],"summary":"Logs user into the system","description":"This logs the user into the system and returns an API Session Token to be used with all other calls.\n\nAn API Session Token is only valid per session.  A Session will expire if inactive for 2 hours.  After that a new login should be issued.\n\nIf a login call is issued while already logged in, then the existing token will immidiately expire and a new token will be issued.","operationId":"loginUser","produces":["application/json"],"parameters":[{"name":"email","in":"query","description":"The user's email address for login","required":true,"type":"string"},{"name":"password","in":"query","description":"The password for login in clear text","required":true,"type":"string","format":"password"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAuthLogin","properties":{"result":{"$ref":"#/definitions/User"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"401":{"description":"Unauthorized - Requires Premium or Enterprise"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing or Invalid email/password supplied"},"413":{"description":"Server error"}}}},"/auth/logout":{"get":{"tags":["Authorization"],"summary":"Logs out a user session","description":"This logs the user out of the system.  The API Session Token will be marked as expired and a new login should be issued.","operationId":"logoutUser","produces":["application/json"],"parameters":[],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAuthLogout","properties":{"apiResponse":{"$ref":"#/definitions/ApiResponse"}}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"410":{"description":"Exceeded call rate"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/params/workspace":{"get":{"tags":["Parameters"],"summary":"Get all available workspaces for the logged in user","description":"Return a list of all available workspaces for the logged in user.","operationId":"workspaceAll","produces":["application/json"],"parameters":[],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseParamsWorkspace","properties":{"result":{"type":"object","properties":{"workspaces":{"type":"array","items":{"$ref":"#/definitions/Workspace"},"description":"List of all workspaces available to the logged in user.  This is an array with multiple workspaces."}}},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/params/workspace/{workspaceId}":{"get":{"tags":["Parameters"],"summary":"Get an individual workspace for the logged in user","description":"Return a single workspace for the logged in user.  Parameter (workspaceId) is here required if you want to return a single workspace.","operationId":"workspaceSingle","produces":["application/json"],"parameters":[{"name":"workspaceId","in":"path","description":"The workspace id for the workspace to return.","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseParamsWorkspace","properties":{"result":{"type":"object","properties":{"workspaces":{"type":"array","items":{"$ref":"#/definitions/Workspace"},"description":"List of all workspaces available to the logged in user.  This is an array with a single workspace."}}},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/params/workspace/{workspaceId}/layers":{"get":{"tags":["Parameters"],"summary":"Get all available layers for a specified workspace","description":"Return a list of all available layers for a specified workspace.","operationId":"workspaceLayers","produces":["application/json"],"parameters":[{"name":"workspaceId","in":"path","description":"The workspace id for the workspace the layers belong to.","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseParamsWorkspaceLayers","properties":{"result":{"type":"object","properties":{"workspace":{"$ref":"#/definitions/Workspace"},"layers":{"type":"array","items":{"$ref":"#/definitions/Layer"},"description":"List of all layers associated with the selected workspace"}}},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/params/layer":{"get":{"tags":["Parameters"],"summary":"Get all available layers for the logged in user","description":"Return a list of all available layers for the logged in user.","operationId":"layerAll","produces":["application/json"],"parameters":[{"name":"isBaseLayer","in":"query","description":"Whether layer is from Base Layers (true) or not (false).  This is optional.  If ommited, or false passed, then get all layers from normal 1map layers.","required":false,"type":"string","enum":["true","false"]}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseParamsLayer","properties":{"result":{"type":"object","properties":{"layers":{"type":"array","items":{"$ref":"#/definitions/Layer"},"description":"List of all layers available to the logged in user."}}},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/params/layer/{layerId}":{"get":{"tags":["Parameters"],"summary":"Get an individual layer or all available layers for the logged in user","description":"Return a single layer or a list of all available layers for the logged in user.  Parameter (layerId) is only required if you want to return a single layer.","operationId":"layerSingle","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The layer id to get.","required":true,"type":"integer","format":"int64"},{"name":"isBaseLayer","in":"query","description":"Whether layer is from Base Layers (true) or not (false).","required":true,"type":"string","enum":["true","false"]}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseParamsLayer","properties":{"result":{"type":"object","properties":{"layers":{"type":"array","items":{"$ref":"#/definitions/Layer"},"description":"List of all layers available to the logged in user.  This can be an array with a single layer or multiple layers, depending on the layerId parameter passed."}}},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/params/layer/{layerId}/fields":{"get":{"tags":["Parameters"],"summary":"Get all available fields for a specified layer","description":"Return a single field or a list of all available fields for a specified layer.  Parameter (fieldId) is only required if you want to return a single field.","operationId":"layerFields","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The layer id for the layer the fields belong to.","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseParamsLayerFields","properties":{"result":{"type":"object","properties":{"layer":{"$ref":"#/definitions/Layer"},"fields":{"type":"array","items":{"$ref":"#/definitions/Field"},"description":"List of all fields for the selected layer.  This can be an array with a single field or multiple fields, depending on the fieldId parameter passed."}}},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/params/layer/{layerId}/indexes":{"get":{"tags":["Parameters"],"summary":"Get all available sort order indexes for a specified layer","description":"Return a single sort order index or a list of all available sort order indexes for a specified layer.  Parameter (indexId) is only required if you want to return a single sort order index.","operationId":"layerIndexes","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The layer id for the layer the sort order indexes belong to.","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseParamsLayerIndexes","properties":{"result":{"type":"object","properties":{"layer":{"$ref":"#/definitions/Layer"},"indexes":{"type":"array","items":{"$ref":"#/definitions/Index"},"description":"List of all sort order indexes for the selected layer.  This can be an array with a single sort order index or multiple sort order indexes, depending on the indexId parameter passed."}}},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/params/layer/{layerId}/edittemplates":{"get":{"tags":["Parameters"],"summary":"Get all available edit templates for a specified layer","description":"Return a single edit template or a list of all available edit templates for a specified layer.  Parameter (editTemplateId) is only required if you want to return a single edit template.","operationId":"layerEditTemplates","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The layer id for the layer the edit templates belong to.","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseParamsLayerEditTemplates","properties":{"result":{"type":"object","properties":{"layer":{"$ref":"#/definitions/Layer"},"editTemplates":{"type":"array","items":{"$ref":"#/definitions/EditTemplate"},"description":"List of all edit templates for the selected layer.  This can be an array with a single edit template or multiple edit templates, depending on the editTemplateId parameter passed."}}},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/params/layer/edittemplate/{editTemplateId}/editfields":{"get":{"tags":["Parameters"],"summary":"Get all available edit template fields for a specified edit template","description":"Return a single edit template field or a list of all available edit template fields for a specified edit template.  Parameter (editTemplateFieldId) is only required if you want to return a single edit template field.","operationId":"layerEditTemplateFields","produces":["application/json"],"parameters":[{"name":"editTemplateId","in":"path","description":"The edit template id for the edit template the edit template fields belongs to.","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseParamsLayerEditTemplateFields","properties":{"result":{"type":"object","properties":{"editTemplate":{"$ref":"#/definitions/EditTemplate"},"editTemplateFields":{"type":"array","items":{"$ref":"#/definitions/EditTemplateField"},"description":"List of all edit template fields for the selected edit template.  This can be an array with a single edit template field or multiple edit template fields, depending on the editTemplateFieldId parameter passed."}}},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/address/search":{"get":{"tags":["Addresses"],"summary":"Search for street address","description":"This uses 1map's very fast street address search.  It does a partial and full search on all 1map street addresses using the address string passed.","operationId":"addressSearch","produces":["application/json"],"parameters":[{"name":"address","in":"query","description":"The street address to search for or part of it","required":true,"type":"string"},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 25).  If ommited then default of 25 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAddressSearch","properties":{"result":{"type":"object","properties":{"nadAddresses":{"type":"array","items":{"$ref":"#/definitions/NADAddress"},"description":"List of all matched street addresses from the 1map NAD."}}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/address/nadid/{nadId}":{"get":{"tags":["Addresses"],"summary":"Search for street address by 1map NAD Id","description":"This api call searches for a given 1map Street Address by using the passed 1map NAD Id","operationId":"addressIdSearch","produces":["application/json"],"parameters":[{"name":"nadId","in":"path","description":"Search for address with given id (Primary Key)","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAddressNADId","properties":{"result":{"type":"object","properties":{"nadAddress":{"$ref":"#/definitions/NADAddress"}}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/address/standno":{"get":{"tags":["Addresses"],"summary":"Search for street address by stand number within a given city / municipality","description":"This api call searches for a given stand by stand number within a given city / municipality.  It will return the stand and all street addresses associated with the returned stand.","operationId":"addressStandSearch","produces":["application/json"],"parameters":[{"name":"cityMunicipality","in":"query","description":"Search for addresses in the given City or Municipality","required":true,"type":"string"},{"name":"standNo","in":"query","description":"Search for addresses with the given Stand Number","required":true,"type":"string"},{"name":"portionNo","in":"query","description":"Search for addresses with the given Portion Number","required":false,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAddressStandNo","properties":{"result":{"type":"object","properties":{"stand":{"$ref":"#/definitions/ErfWithNADAddresses","description":"All 1map NAD addresses associated with the returned stand."}}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/address/sg21key":{"get":{"tags":["Addresses"],"summary":"Search for street address by SG21Key","description":"This api call searches for a given stand by SG21Key.  It will return the stand and all street addresses associated with the returned stand (If any).","operationId":"addressSG21KeySearch","produces":["application/json"],"parameters":[{"name":"sg21Key","in":"query","description":"Search for addresses with the given SG21Key","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAddressSG21Key","properties":{"result":{"type":"object","properties":{"stand":{"$ref":"#/definitions/ErfWithNADAddresses","description":"All 1map NAD addresses associated with the returned stand."}}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/address/closest":{"get":{"tags":["Addresses"],"summary":"Search for closest street address to given coordinate","description":"This api call searches for the closest 1map Street Address to a given coordinate (WGS84 Lon/Lat).","operationId":"addressClosestSearch","produces":["application/json"],"parameters":[{"name":"longitude","in":"query","description":"The longitude (WGS84) for the coordinate to search","required":true,"type":"number","format":"double"},{"name":"latitude","in":"query","description":"The latitude (WGS84) for the coordinate to search","required":true,"type":"number","format":"double"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAddressClosest","properties":{"result":{"type":"object","properties":{"nadAddress":{"$ref":"#/definitions/NADAddress","description":"Closest street address from the 1map NAD to the given point."}}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/address/intersect":{"post":{"tags":["Addresses"],"summary":"Get Street Addresses intersecting an area (polygon)","description":"This api call searches for all Street Addresses from the 1map NAD that intersects a given area (polygon).","operationId":"addressIntersectSearch","produces":["application/json"],"parameters":[{"name":"geometry","in":"body","description":"The Geometry (Geojson Object) to search within","required":true,"schema":{"type":"object","properties":{"geometry":{"$ref":"#/definitions/Polygon"}}}},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 25).  If ommited then default of 25 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAddressIntersect","properties":{"result":{"type":"object","properties":{"nadAddresses":{"type":"array","items":{"$ref":"#/definitions/NADAddress"},"description":"List of Street addresses from the 1map NAD that intersects given area (polygon)."}}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/address/radial":{"get":{"tags":["Addresses"],"summary":"Search for all street address within a radius to a given coordinate","description":"This api call searches for all 1map Street Address within a radius (in meters) to a given coordinate (WGS84 Lon/Lat).","operationId":"addressRadialSearch","produces":["application/json"],"parameters":[{"name":"longitude","in":"query","description":"The longitude (WGS84) for the coordinate to search","required":true,"type":"number","format":"double"},{"name":"latitude","in":"query","description":"The latitude (WGS84) for the coordinate to search","required":true,"type":"number","format":"double"},{"name":"radius","in":"query","description":"The radius (in meters - maksimum 200) to search for","required":true,"type":"number","format":"double"},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 25).  If ommited then default of 25 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAddressRadial","properties":{"result":{"type":"object","properties":{"nadAddresses":{"type":"array","items":{"$ref":"#/definitions/NADAddress"},"description":"List of all street address from the 1map NAD within the given radius from the given coordinate."}}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/attributes/{layerId}/sorted":{"get":{"tags":["Attributes Basic"],"summary":"Get all layer records sorted","description":"This api call get all available records in a given layer (layerid) and return the result unsorted.  It also filters on the optional filterString.","operationId":"attributesSortedSearchUnsorted","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to search within","required":true,"type":"integer","format":"int64"},{"name":"filterString","in":"query","description":"Return result using this filterString.  If omitted, then all attributes will be returned.","required":false,"type":"string"},{"name":"showAttachments","in":"query","description":"Return row attachments with the result.  If ommitted then no.","required":false,"type":"string","enum":["yes","no"]},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 25).  If ommited then default of 25 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttributes","properties":{"result":{"type":"object","properties":{"fields":{"type":"array","items":{"type":"object","properties":{"fieldName":{"type":"string","description":"The field name"},"fieldCaption":{"type":"string","description":"The field caption"}}}},"geomResult":{"$ref":"#/definitions/AttributesCollection"}},"description":"Record for the given layer with the given Primary Id."},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/attributes/{layerId}/sorted/{indexId}":{"get":{"tags":["Attributes Basic"],"summary":"Get all layer records sorted","description":"This api call get all available records in a given layer (layerid) and return the result sorted (indexId).  It also filters on the optional filterString.","operationId":"attributesSortedSearchSorted","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to search within","required":true,"type":"integer","format":"int64"},{"name":"indexId","in":"path","description":"Return result sorted using indexId.","required":true,"type":"integer","format":"int64"},{"name":"filterString","in":"query","description":"Return result using this filterString.  If omitted, then all attributes will be returned.","required":false,"type":"string"},{"name":"showAttachments","in":"query","description":"Return row attachments with the result.  If ommitted then no.","required":false,"type":"string","enum":["yes","no"]},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 25).  If ommited then default of 25 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttributes","properties":{"result":{"type":"object","properties":{"fields":{"type":"array","items":{"type":"object","properties":{"fieldName":{"type":"string","description":"The field name"},"fieldCaption":{"type":"string","description":"The field caption"}}}},"geomResult":{"$ref":"#/definitions/AttributesCollection"}},"description":"Record for the given layer with the given Primary Id."},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/attributes/{layerId}/{primaryId}":{"get":{"tags":["Attributes Basic"],"summary":"Get individual layer record","description":"This api call searches for a record in a given layer (layerid) and record (primaryId) and return all attributes associated with the record.","operationId":"attributesPrimaryIdSearch","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to search within","required":true,"type":"integer","format":"int64"},{"name":"primaryId","in":"path","description":"Search by Layer's Primary Id","required":true,"type":"integer","format":"int64"},{"name":"showAttachments","in":"query","description":"Return row attachments with the result.  If ommitted then no.","required":false,"type":"string","enum":["yes","no"]}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttributes","properties":{"result":{"type":"object","properties":{"fields":{"type":"array","items":{"type":"object","properties":{"fieldName":{"type":"string","description":"The field name"},"fieldCaption":{"type":"string","description":"The field caption"}}}},"geomResult":{"$ref":"#/definitions/AttributesCollection"}},"description":"Record for the given layer with the given Primary Id."},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]},"delete":{"tags":["Attributes Basic"],"summary":"Delete an existing layer record","description":"This api call deletes an existing record in a given layer (layerid).","operationId":"attributesPrimaryIdDelete","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer's Id for the record to be deleted","required":true,"type":"integer","format":"int64"},{"name":"primaryId","in":"path","description":"The Layer's Primary Id for the record to be deleted","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttributesDelete","properties":{"result":{"type":"object","properties":{"message":{"type":"string","example":"OK","description":"Message after delete"}}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]},"put":{"tags":["Attributes Basic"],"summary":"Edit an existing layer record","description":"This api call modifies an existing record in a given layer (layerid). See Also: /spatial/geometry/{layerId}/{primaryId} to just modify the geometry part without properties.","operationId":"attributesPrimaryIdEdit","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer's Id for the record to be modified","required":true,"type":"integer","format":"int64"},{"name":"primaryId","in":"path","description":"The Layer's Primary Id for the record to be modified","required":true,"type":"integer","format":"int64"},{"name":"feature","in":"body","description":"Valid GeoJSON object that needs to be modified (See example).  Please note: If geometry part is omitted, then only the properties will be updated.","required":true,"schema":{"$ref":"#/definitions/FeatureBasic"}}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttributesUpdate","properties":{"result":{"type":"object","properties":{"message":{"type":"string","example":"OK","description":"Message after update"}}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/attributes/{layerId}":{"post":{"tags":["Attributes Basic"],"summary":"Add a new layer record","description":"This api call adds a new record in a given layer (layerid) and returns the new primaryId. See Also: /spatial/geometry/{layerId} to just add the geometry part without properties.","operationId":"attributesPrimaryIdAdd","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to add new record to","required":true,"type":"integer","format":"int64"},{"name":"feature","in":"body","description":"Valid GeoJSON object that needs to be added (See example).  Please note: If geometry part is omitted, then only the properties will be added.","required":true,"schema":{"$ref":"#/definitions/FeatureBasic"}}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttributesAdd","properties":{"result":{"type":"object","properties":{"primaryId":{"type":"integer","format":"int64","example":1234,"description":"Primary ID of newly added record"}},"description":"Record for the given layer with the given Primary Id."},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/attributes/closest/{layerId}":{"get":{"tags":["Attributes Advanced"],"summary":"Get layer record closest to a point","description":"This api call searches for the closest record in a given layer (layerid) using the given coordinate (WGS84 Lon/Lat).","operationId":"attributesClosestSearch","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to search within","required":true,"type":"integer","format":"int64"},{"name":"showAttachments","in":"query","description":"Return row attachments with the result.  If ommitted then no.","required":false,"type":"string","enum":["yes","no"]},{"name":"longitude","in":"query","description":"The longitude (WGS84) for the coordinate to search","required":true,"type":"number","format":"double"},{"name":"latitude","in":"query","description":"The latitude (WGS84) for the coordinate to search","required":true,"type":"number","format":"double"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttributesClosest","properties":{"result":{"type":"object","properties":{"fields":{"type":"array","items":{"type":"object","properties":{"fieldName":{"type":"string","description":"The field name"},"fieldCaption":{"type":"string","description":"The field caption"}}}},"geomResult":{"$ref":"#/definitions/AttributesCollection"}},"description":"Closest record for the given layer to the given point."},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/attributes/contains/{layerId}":{"get":{"tags":["Attributes Advanced"],"summary":"Get layer record(s) containing point","description":"This api call searches for all the records in a given layer (layerid) that contains the given coordinate (WGS84 Lon/Lat).","operationId":"attributesContainsSearch","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to search within","required":true,"type":"integer","format":"int64"},{"name":"showAttachments","in":"query","description":"Return row attachments with the result.  If ommitted then no.","required":false,"type":"string","enum":["yes","no"]},{"name":"longitude","in":"query","description":"The longitude (WGS84) for the coordinate to search","required":true,"type":"number","format":"double"},{"name":"latitude","in":"query","description":"The latitude (WGS84) for the coordinate to search","required":true,"type":"number","format":"double"},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 25).  If ommited then default of 25 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttributesContains","properties":{"result":{"type":"object","properties":{"fields":{"type":"array","items":{"type":"object","properties":{"fieldName":{"type":"string","description":"The field name"},"fieldCaption":{"type":"string","description":"The field caption"}}}},"geomResult":{"$ref":"#/definitions/AttributesCollection"}},"description":"All records for the given layer that contains the given point."},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/attributes/intersect/{layerId}":{"post":{"tags":["Attributes Advanced"],"summary":"Get layer record(s) intersecting an area (polygon)","description":"This api call searches for all records within a given layer that intersects a given area (polygon).","operationId":"attributesSearchIntersect","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to search within","required":true,"type":"integer","format":"int64"},{"name":"showAttachments","in":"query","description":"Return row attachments with the result.  If ommitted then no.","required":false,"type":"string","enum":["yes","no"]},{"name":"geometry","in":"body","description":"The Geometry (Geojson Object) to search within","required":true,"schema":{"type":"object","properties":{"geometry":{"$ref":"#/definitions/Polygon"}}}},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 25).  If ommited then default of 25 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttributesIntersect","properties":{"result":{"type":"object","properties":{"fields":{"type":"array","items":{"type":"object","properties":{"fieldName":{"type":"string","description":"The field name"},"fieldCaption":{"type":"string","description":"The field caption"}}}},"geomResult":{"$ref":"#/definitions/AttributesCollection"}},"description":"All records for the given layer that intersects with the given area (polygon)."},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/landparcels/contains":{"get":{"tags":["Land Parcels"],"summary":"Get all land parcels containing point","description":"This api call searches for all the land parcels that contains the given coordinate (WGS84 Lon/Lat).","operationId":"landParcelsContainsSearch","produces":["application/json"],"parameters":[{"name":"longitude","in":"query","description":"The longitude (WGS84) for the coordinate to search","required":true,"type":"number","format":"double"},{"name":"latitude","in":"query","description":"The latitude (WGS84) for the coordinate to search","required":true,"type":"number","format":"double"},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 1000).  If ommited then default of 1000 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseLandParcelsContains","properties":{"result":{"type":"object","properties":{"geomResult":{"$ref":"#/definitions/LandParcelCollection"}},"description":"All records for the given layer that contains the given point."},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/landparcels/intersect":{"post":{"tags":["Land Parcels"],"summary":"Get land parcels intersecting an area (polygon)","description":"This api call searches for all land parcels that intersects a given area (polygon).","operationId":"landParcelsSearchIntersect","produces":["application/json"],"parameters":[{"name":"geometry","in":"body","description":"The Geometry (Geojson Object) to search within","required":true,"schema":{"type":"object","properties":{"geometry":{"$ref":"#/definitions/Polygon"}}}},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 1000).  If ommited then default of 1000 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseLandParcelsIntersect","properties":{"result":{"type":"object","properties":{"geomResult":{"$ref":"#/definitions/LandParcelCollection"}},"description":"All records for the given layer that intersects with the given area (polygon)."},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/attachments/{layerId}/{primaryId}":{"get":{"tags":["Attachments"],"summary":"Get an attachment(s)","description":"Get all attachments from a given layer (layerid) and record (primaryId).","operationId":"attributesAttachPrimaryIdSearchAll","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to search within","required":true,"type":"integer","format":"int64"},{"name":"primaryId","in":"path","description":"Search by Layer's Primary Id","required":true,"type":"integer","format":"int64"},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 100).  If ommited then default of 100 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttachments","properties":{"attachments":{"type":"array","items":{"$ref":"#/definitions/AttachmentsCollection","description":"List of all associated attachments to the record"}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]},"post":{"tags":["Attachments"],"summary":"Add a new attachment","description":"This api call adds a new attachment to a given layer (layerId) and record (primaryId).","operationId":"attributesAttachAdd","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to add a new record to","required":true,"type":"integer","format":"int64"},{"name":"primaryId","in":"path","description":"Add new attachment to given Layers's Primary Id","required":true,"type":"integer","format":"int64"},{"name":"body","in":"body","description":"The attachment to add","required":true,"schema":{"$ref":"#/definitions/AttachmentsCollection"}}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttachmentsAdd","properties":{"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/attachments/{layerId}/{primaryId}/{attachmentId}":{"get":{"tags":["Attachments"],"summary":"Get an attachment(s)","description":"Get an individual attachment from a given layer (layerid) and record (primaryId). Just the individual attachment will be returned.","operationId":"attributesAttachPrimaryIdSearchSingle","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to search within","required":true,"type":"integer","format":"int64"},{"name":"primaryId","in":"path","description":"Search by Layer's Primary Id","required":true,"type":"integer","format":"int64"},{"name":"attachmentId","in":"path","description":"Search by Attachment's Primary Id (Optional - Will return all attachments if ommitted)","required":true,"type":"integer","format":"int64"},{"name":"start","in":"query","description":"Start record index if using paging (Optional, 1-based, 1 = First Record).  If ommited then 1 will be used.","required":false,"type":"integer","format":"int64"},{"name":"limit","in":"query","description":"Limit result if using paging (Optional, 0 to 100).  If ommited then default of 100 will be used.","required":false,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttachments","properties":{"attachments":{"type":"array","items":{"$ref":"#/definitions/AttachmentsCollection","description":"List of all associated attachments to the record"}},"resultInfo":{"$ref":"#/definitions/ResultInfo"},"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]},"delete":{"tags":["Attachments"],"summary":"Delete an attachment","description":"Delete an attachment in a given layer (layerid) and record (primaryId) using the given Attachment Id (attachmentId).","operationId":"attributesAttachPrimaryIdDelete","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to delete the attachment from","required":true,"type":"integer","format":"int64"},{"name":"primaryId","in":"path","description":"The Layer Record's Primary Id to delete attachment from","required":true,"type":"integer","format":"int64"},{"name":"attachmentId","in":"path","description":"Delete attachment with given Attachment's Primary Id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttachmentsDelete","properties":{"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]},"put":{"tags":["Attachments"],"summary":"Update/Replace an attachment","description":"Update/Replace an attachment in a given layer (layerid) and record (primaryId) using the given Attachment Id (attachmentId).","operationId":"attributesPrimaryIdUpdate","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to update the attachment from","required":true,"type":"integer","format":"int64"},{"name":"primaryId","in":"path","description":"The Layer's Primary Id to update attachment from","required":true,"type":"integer","format":"int64"},{"name":"attachmentId","in":"path","description":"Update/Replace attachment using given Attachment's Primary Id","required":true,"type":"integer","format":"int64"},{"name":"body","in":"body","description":"The attachment to add","required":true,"schema":{"$ref":"#/definitions/AttachmentsCollection"}}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseAttachmentsUpdate","properties":{"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/spatial/maptile/{layerId}":{"get":{"tags":["Spatial"],"summary":"WMS Map tile service","description":"This API call will get a map tile (256x256) from a given layer.  To be used in client components like Openlayers, Leaflet, etc. Currently WMS 1.3.0 are supported.  This call does not return base layers.","operationId":"apiSpatialMaptileOther","produces":["image/jpeg","image/png","image/png; mode=8bit"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to get map tile from","required":true,"type":"integer","format":"int64"},{"name":"BBOX","in":"query","description":"BBOX","required":true,"type":"string"},{"name":"CRS","in":"query","description":"CRS - Projection.  If ommited then default 'EPSG:3857' will be used.  Currently only 'EPSG:4326' and 'EPSG:3857' are supported.","required":false,"type":"string","enum":["EPSG:4326","EPSG:3857"]}],"responses":{"200":{"description":"The image","schema":{"type":"file","title":"OKResponseMapTile"},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/spatial/maptile/{layerId}/{from}":{"get":{"tags":["Spatial"],"summary":"WMS Map tile service","description":"This API call will get a map tile (256x256) from a given layer.  To be used in client components like Openlayers, Leaflet, etc. Currently WMS 1.3.0 are supported.","operationId":"apiSpatialMaptileBaseOrOther","produces":["image/jpeg","image/png","image/png; mode=8bit"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to get map tile from","required":true,"type":"integer","format":"int64"},{"name":"from","in":"path","description":"Whether to get tile from Base Layer (base) or not (other).","required":true,"type":"string","enum":["base","other"]},{"name":"BBOX","in":"query","description":"BBOX","required":true,"type":"string"},{"name":"CRS","in":"query","description":"CRS - Projection.  If ommited then default 'EPSG:3857' will be used.  Currently only 'EPSG:4326' and 'EPSG:3857' are supported.","required":false,"type":"string","enum":["EPSG:4326","EPSG:3857"]}],"responses":{"200":{"description":"The image","schema":{"type":"file","title":"OKResponseMapTile"},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/spatial/geometry/{layerId}/{primaryId}":{"put":{"tags":["Spatial"],"summary":"Modify Spatial Geometry","description":"This API call will update a Spatial Geometry from a given layer.  You must have spatial edit permissions on the layer to update the geometry.","operationId":"apiSpatialUpdateGeometry","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id from the Layer to update","required":true,"type":"integer","format":"int64"},{"name":"primaryId","in":"path","description":"The Primary Id from the Feature to update","required":true,"type":"integer","format":"int64"},{"name":"feature","in":"body","description":"The feature to update with the primary id in GeoJSON format","required":true,"schema":{"$ref":"#/definitions/FeatureWithoutPropertiesAndAttachments"}}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseSpatialGeometryUpdate","properties":{"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/spatial/geometry/{layerId}":{"post":{"tags":["Spatial"],"summary":"Add New Spatial Geometry","description":"This API call will add a new Spatial Geometry to a given layer.  You must have spatial edit permissions on the layer to add the new geometry.","operationId":"apiSpatialAddGeometry","produces":["application/json"],"parameters":[{"name":"layerId","in":"path","description":"The Layer Id to get map tile from","required":true,"type":"integer","format":"int64"},{"name":"feature","in":"body","description":"The feature to update with the primary id in GeoJSON format","required":true,"schema":{"$ref":"#/definitions/FeatureWithoutPropertiesAndAttachments"}}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","title":"OKResponseSpatialGeometryAdd","properties":{"apiToken":{"$ref":"#/definitions/ApiToken"},"apiResponse":{"$ref":"#/definitions/ApiResponse"}}},"headers":{"X-Rate-Limit":{"type":"integer","format":"int32","description":"Calls per hour allowed by the user - Unlimited = -1"},"X-Expires-After":{"type":"string","format":"date-time","description":"Date in SAST when token expires"}}},"400":{"description":"Missing or Invalid token supplied"},"401":{"description":"Unauthorized"},"402":{"description":"Your trial period expired"},"410":{"description":"Exceeded call rate"},"411":{"description":"Missing / Invalid parameter"},"412":{"description":"Token expired / Logged out"},"413":{"description":"Server error"}},"security":[{"token":[]}]}},"/tracking":{},"/offline":{}},"securityDefinitions":{"token":{"type":"apiKey","name":"token","in":"query"}},"definitions":{"ApiToken":{"type":"object","properties":{"token":{"type":"string","description":"Session Token - To be used throughout the API"}},"description":"Info regarding the current API token"},"ApiResponse":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"Server response http code"},"type":{"type":"string","description":"Server response type"},"message":{"type":"string","description":"Server response message"},"qtime":{"type":"integer","format":"int64","description":"Time it took on server to process and return result in milliseconds"}},"description":"API Resonse object"},"ResultInfo":{"type":"object","properties":{"startItemIndex":{"type":"integer","format":"int64","description":"Index of first item in result"},"endItemIndex":{"type":"integer","format":"int64","description":"Index of last item in result"},"currentPage":{"type":"integer","format":"int64","description":"Current page number"},"totalPages":{"type":"integer","format":"int64","description":"Number of Total Pages"},"pageLength":{"type":"integer","format":"int64","description":"Number of Records per Page"},"totalResults":{"type":"integer","format":"int64","description":"Number of Records for all Pages"}},"description":"Result Information"},"Contact":{"type":"object","properties":{"name":{"type":"string","description":"Contact Name"},"number":{"type":"string","description":"Contact telephone / cellphone number"},"email":{"type":"string","description":"Contact email address"},"fax":{"type":"string","description":"Contact fax number"},"company":{"type":"string","description":"Contact company name"}},"description":"Info regarding the selected contact"},"Billing":{"type":"object","properties":{"type":{"type":"string","description":"Billing type - Paygate, Debit Order, EFT, Free"},"cycle":{"type":"string","description":"Billing cycle - Daily, Monthly, 3 Monthly, 6 Monthly, Annualy"},"address":{"type":"string","description":"Billing address"},"start":{"type":"string","format":"date-time","description":"Billing start date"},"end":{"type":"string","format":"date-time","description":"Billing expiry date"}},"description":"Info regarding the selected billing"},"Licenses":{"type":"object","properties":{"pro":{"type":"integer","format":"int64","description":"Number of total Pro Licenses"},"premium":{"type":"integer","format":"int64","description":"Number of total Premium Licenses"},"enterprise":{"type":"integer","format":"int64","description":"Number of total Enterprise Licenses"}},"description":"Info regarding the selected licenses"},"Account":{"type":"object","properties":{"accountId":{"type":"integer","format":"int64","description":"Account's unique 1map id number - Primary Key"},"accountName":{"type":"string","description":"Account Caption/Name"},"description":{"type":"string","description":"Account Description"},"postalAddress":{"type":"string","description":"Account's postal address"},"vatNumber":{"type":"string","description":"Account's registered VAT Number - If available"},"contact":{"$ref":"#/definitions/Contact"},"billing":{"$ref":"#/definitions/Billing"},"licenses":{"$ref":"#/definitions/Licenses"}},"description":"Info regarding the selected account"},"Role":{"type":"object","properties":{"roleId":{"type":"integer","format":"int64","description":"Role's unique 1map id number - Primary Key"},"roleName":{"type":"string","description":"Role Caption/Name"},"roleDescription":{"type":"string","description":"Role Description"}},"description":"Info regarding the selected role"},"Workspace":{"type":"object","properties":{"workspaceId":{"type":"integer","format":"int64","description":"Workspace unique 1map id number - Primary Key"},"workspaceName":{"type":"string","description":"Workspace Caption/Name"},"default":{"type":"boolean","description":"Indicate if this is the default workspace"},"private":{"type":"boolean","description":"Indicate if the workspace is private or not"}},"description":"Info regarding the selected workspace"},"User":{"type":"object","properties":{"userId":{"type":"integer","format":"int64","description":"User's unique 1map id number - Primary Key"},"userName":{"type":"string","description":"Username"},"firstName":{"type":"string","description":"User's first name"},"lastName":{"type":"string","description":"User's surname"},"email":{"type":"string","description":"User's registered email address"},"subscription":{"type":"string","description":"User Subscription - lite, pro, pro_trial, premium, premium_trial, enterprise, enterprise_trial, accademic"},"account":{"$ref":"#/definitions/Account"},"roles":{"type":"array","items":{"$ref":"#/definitions/Role"},"description":"List of all roles the user belongs to"},"workspaces":{"type":"array","items":{"$ref":"#/definitions/Workspace"},"description":"List of all available workspaces for the user"}},"description":"Info regarding the selected user"},"Layer":{"type":"object","properties":{"layerId":{"type":"integer","format":"int64","description":"Layer unique 1map id number - Primary Key (Note: This id is Unique within Base Layers and Unique within Other Layers)"},"layerType":{"type":"string","enum":["osm","ngi_aerial","toner","1map","wms","googlestreet","googlesatellite","googlehybrid","binghybrid","bingaerial","bingroad","raster","vector"],"description":"Layer Type - (vector or raster = Basic Layers, Rest = Base Layers)"},"layerCaption":{"type":"string","description":"Layer Caption"},"layerDescription":{"type":"string","description":"Layer's description"},"primaryField":{"type":"string","description":"The name of the primary field for this layer"},"searchCaption":{"type":"string","description":"The caption to display for the general search, ie. Street Address"},"isBaseLayer":{"type":"boolean","description":"Specifies whether this layer is a Base Layer or not"},"visibility":{"type":"boolean","description":"Specifies whether this layer is displayed by defult or not"},"opacity":{"type":"number","format":"double","description":"Specifies the default opacity for this layer when displayed.  Values can range from 0 to 1"},"minScale":{"type":"integer","format":"int32","description":"Specifies the default minimum scale between 0 and 524,288,000"},"maxScale":{"type":"integer","format":"int32","description":"Specifies the default maximum scale between 0 and 524,288,000"},"layerOrder":{"type":"integer","format":"int32","description":"Specifies the default z-order for the spesific layer"},"layerGroup":{"type":"string","description":"Specifies the group the layer belongs to.  Handy if you want to show your layers in group format."},"drawCache":{"type":"boolean","description":"Specifies whether this layer is fetched from the Server's cache or not.  Normally live/editable layers will not use the cache."},"layerStyle":{"type":"string","description":"Specifies the default style that the layer uses to draw"},"geometryType":{"type":"string","enum":["Point","MultiPoint","LineString","MultiLineString","Polygon","MultiPolygon","Geometry","Raster"],"description":"Specifies the type of geometry - (If layerType = vector then one of Point, MultiPoint, LineString, MultiLineString, Polygon, MultiPolygon, Geometry else If layerType = raster then Raster."},"layerDefault":{"type":"boolean","description":"If the layer is a base layer, then specifies whether this layer is the default base layer.  If the layer is not a base layer, then specifies whether this layer is the deault active layer (Layer that the user interact with)"},"author":{"type":"string","description":"The autor of the layer - User who created/uploaded the layer"},"attribution":{"type":"string","description":"Copyright/Info attribution to be displayed on the specified layer"},"canEditAttributes":{"type":"boolean","description":"Specify whether this layer's attributes can be edited (Only applicable if the layerType = 'vector')"},"canEditSpatial":{"type":"boolean","description":"Specify whether this layer's spatial geometry can be edited (Only applicable if the layerType = 'vector')"},"destType":{"type":"string","enum":["private","public"],"description":"Specify whether this layer is public or private"},"gsConnectionId":{"type":"integer","format":"int64","description":"Used internally"}},"description":"Info regarding the selected layer"},"Field":{"type":"object","properties":{"fieldId":{"type":"integer","format":"int64","description":"Field unique 1map id number - Primary Key"},"fieldName":{"type":"string","description":"Field Name"},"fieldCaption":{"type":"string","description":"Field Caption"},"fieldDescription":{"type":"string","description":"Field description"},"fieldOrder":{"type":"integer","format":"int32","description":"Field display order"},"fieldType":{"type":"string","description":"Field Type","enum":["barcode","boolean","bpchar","bytea","color","date","device_id","double","gml:GeometryPropertyType","gps_lat","gps_lon","gps_prec","int2","long","money","photo","string","text","timestamp","timestamptz","tsvector","user_email"]},"fieldSize":{"type":"integer","format":"int32","description":"Field Size (0 = Unlimited)"},"fieldDecimals":{"type":"integer","format":"int32","description":"Field Decimals (Only applicable for double, money, etc)"},"visible":{"type":"boolean","description":"Is this field visible"},"searchable":{"type":"boolean","description":"Can this field be used for searches"},"editable":{"type":"boolean","description":"Is this field value editable"},"exportable":{"type":"boolean","description":"Is this field exportable"},"minOccurs":{"type":"integer","format":"int32","description":""},"maxOccurs":{"type":"integer","format":"int32","description":""},"nillable":{"type":"boolean","description":"true = Can contain blank, false = Cannot contain blank (required)"}},"description":"Info regarding the selected field"},"Index":{"type":"object","properties":{"indexId":{"type":"integer","format":"int64","description":"Sort Order Index unique 1map id number - Primary Key"},"indexCaption":{"type":"string","description":"Sort Order Index Caption"},"indexDescription":{"type":"string","description":"Sort Order Index's description"},"indexDefault":{"type":"boolean","description":"Specify whether this Sort Order Index is the default"}},"description":"Info regarding the selected Sort Order Index"},"EditTemplate":{"type":"object","properties":{"editTemplateId":{"type":"integer","format":"int64","description":"Edit Template unique 1map id number - Primary Key"},"editTemplateCaption":{"type":"string","description":"Edit Template Caption"},"editTemplateDescription":{"type":"string","description":"Edit Template's description"},"editTemplateDefault":{"type":"boolean","description":"Specify whether this Edit Template is the default"},"editTemplateIndex":{"$ref":"#/definitions/Index","description":"Edit Template's Sort Order Index"}},"description":"Info regarding the selected Edit Template"},"EditTemplateField":{"type":"object","properties":{"editTemplateFieldId":{"type":"integer","format":"int64","description":"Edit Template Field unique 1map id number - Primary Key"},"copyable":{"type":"boolean","description":"Is this field value copyable"},"lookupValues":{"type":"string","description":"Comma-delimited string of values to be used as lookup values"},"javaValidation":{"type":"string","description":"Validation to be used in a Java environment"},"defaultValue":{"type":"string","description":"Default value to be used when new record is created"},"minOccurs":{"type":"integer","format":"int32","description":""},"maxOccurs":{"type":"integer","format":"int32","description":""},"nillable":{"type":"boolean","description":"true = Can contain blank, false = Cannot contain blank (required)"},"editTemplateFieldField":{"$ref":"#/definitions/Field"}},"description":"Info regarding the selected Edit Template Field"},"Erf":{"type":"object","properties":{"ervenId":{"type":"integer","format":"int64","description":"The 1map Erven Primary Key"},"source":{"type":"string","description":"Source showing where the Erf originated from"},"latitude":{"type":"number","format":"double","description":"Latitude for the Erf Centroid"},"longitude":{"type":"number","format":"double","description":"Longitude for the Erf Centroid"},"suburb":{"type":"string","description":"Suburb the erf belongs to"},"city":{"type":"string","description":"Town/City the erf belongs to"},"postalCode":{"type":"string","description":"Postal Code the erf belongs to"},"provinceCode":{"type":"string","description":"Province Code the erf belongs to"},"municipalCode":{"type":"string","description":"Municipality the erf belongs to"},"vdNumber":{"type":"string","description":"VD Number"},"allotmentNo":{"type":"string","description":"SG Allotment Number"},"standNo":{"type":"string","description":"SG Stand Number"},"portionNo":{"type":"string","description":"SG Portion Number"},"lisKey":{"type":"string","description":"LIS Key"},"erfArea":{"type":"number","format":"double","description":"Area of the erf in square meters"},"sgOfficeNo":{"type":"integer","format":"int32","description":"SG Office Number - For use with SG Diagrams"},"sgOffice":{"type":"string","description":"SG Office Name - For use with SG Diagrams"},"erfLabel":{"type":"string","description":"Label (formated in html) for use with popups"},"modifiedDate":{"type":"string","format":"date-time","description":"Date last modified"},"feature":{"$ref":"#/definitions/Polygon","description":"Parcel/Erf Geometry"}},"description":"Info regarding the selected 1map Erf"},"NADAddress":{"type":"object","properties":{"nadId":{"type":"integer","format":"int64","description":"The 1map NAD Primary Key"},"ervenId":{"type":"integer","format":"int64","description":"The 1map Erven Primary Key"},"ervenLinesId":{"type":"integer","format":"int64","description":"The 1map Erven Lines Primary Key"},"ssId":{"type":"integer","format":"int64","description":"The 1map Sectional Scheme Unit Primary Key"},"addressType":{"type":"string","description":"Type of address, STREET NO, ERF NO, etc."},"source":{"type":"string","description":"Source showing where the NAD Address originated from"},"latitude":{"type":"number","format":"double","description":"Latitude of Address"},"longitude":{"type":"number","format":"double","description":"Longitude of Address"},"centLatitude":{"type":"number","format":"double","description":"Latitude of the Parent Parcel/Erf Centroid"},"centLongitude":{"type":"number","format":"double","description":"Longitude of the Parent Parcel/Erf Centroid"},"buildingNo":{"type":"string","description":"Building Number"},"buildingName":{"type":"string","description":"Building Name"},"sectionalSchemeUnit":{"type":"string","description":"Sectional Scheme Unit No"},"sectionalSchemeName":{"type":"string","description":"Sectional Scheme Name"},"streetNo":{"type":"string","description":"Street Number"},"streetName":{"type":"string","description":"Street Name"},"suburb":{"type":"string","description":"Suburb"},"city":{"type":"string","description":"Town/City"},"postalCode":{"type":"string","description":"Postal Code"},"provinceCode":{"type":"string","description":"Province Code/Abbreviation"},"municipalCode":{"type":"string","description":"Municipal Code/Abbreviation"},"vdNumber":{"type":"string","description":"VD Number"},"allotmentNo":{"type":"string","description":"SG Allotment Number"},"standNo":{"type":"string","description":"SG Stand Number"},"portionNo":{"type":"string","description":"SG Portion Number"},"lisKey":{"type":"string","description":"LIS Key"},"erfArea":{"type":"number","format":"double","description":"Area of the Parent Parcel/Erf measured in square meters"},"sgOfficeNo":{"type":"integer","format":"int32","description":"SG office Number (Used for SG Diagrams)"},"sgOffice":{"type":"string","description":"SG Office (Used for SG Diagrams)"},"addressLabel":{"type":"string","description":"Address Label, formated in html, for used in popups"},"erfLabel":{"type":"string","description":"Parent Parcel/Erf Label, formated in html, for used in popups"},"modifiedDate":{"type":"string","format":"date-time","description":"Date last modified"},"feature":{"$ref":"#/definitions/Polygon","description":"Parent Parcel/Erf Geometry"}},"description":"Info regarding the selected NAD Address"},"NADAddressWithoutGeometry":{"type":"object","properties":{"nadId":{"type":"integer","format":"int64","description":"The 1map NAD Primary Key"},"ervenId":{"type":"integer","format":"int64","description":"The 1map Erven Primary Key"},"ervenLinesId":{"type":"integer","format":"int64","description":"The 1map Erven Lines Primary Key"},"ssId":{"type":"integer","format":"int64","description":"The 1map Sectional Scheme Unit Primary Key"},"addressType":{"type":"string","description":"Type of address, STREET NO, ERF NO, etc."},"source":{"type":"string","description":"Source showing where the NAD Address originated from"},"latitude":{"type":"number","format":"double","description":"Latitude of Address"},"longitude":{"type":"number","format":"double","description":"Longitude of Address"},"centLatitude":{"type":"number","format":"double","description":"Latitude of the Parent Parcel/Erf Centroid"},"centLongitude":{"type":"number","format":"double","description":"Longitude of the Parent Parcel/Erf Centroid"},"buildingNo":{"type":"string","description":"Building Number"},"buildingName":{"type":"string","description":"Building Name"},"sectionalSchemeUnit":{"type":"string","description":"Sectional Scheme Unit No"},"sectionalSchemeName":{"type":"string","description":"Sectional Scheme Name"},"streetNo":{"type":"string","description":"Street Number"},"streetName":{"type":"string","description":"Street Name"},"suburb":{"type":"string","description":"Suburb"},"city":{"type":"string","description":"Town/City"},"postalCode":{"type":"string","description":"Postal Code"},"provinceCode":{"type":"string","description":"Province Code/Abbreviation"},"municipalCode":{"type":"string","description":"Municipal Code/Abbreviation"},"vdNumber":{"type":"string","description":"VD Number"},"allotmentNo":{"type":"string","description":"SG Allotment Number"},"standNo":{"type":"string","description":"SG Stand Number"},"portionNo":{"type":"string","description":"SG Portion Number"},"lisKey":{"type":"string","description":"LIS Key"},"erfArea":{"type":"number","format":"double","description":"Area of the Parent Parcel/Erf measured in square meters"},"sgOfficeNo":{"type":"integer","format":"int32","description":"SG office Number (Used for SG Diagrams)"},"sgOffice":{"type":"string","description":"SG Office (Used for SG Diagrams)"},"addressLabel":{"type":"string","description":"Address Label, formated in html, for used in popups"},"erfLabel":{"type":"string","description":"Parent Parcel/Erf Label, formated in html, for used in popups"},"modifiedDate":{"type":"string","format":"date-time","description":"Date last modified"}},"description":"Info regarding the selected NAD Address"},"ErfWithNADAddresses":{"type":"object","properties":{"ervenId":{"type":"integer","format":"int64","description":"The 1map Erven Primary Key"},"source":{"type":"string","description":"Source showing where the Erf originated from"},"latitude":{"type":"number","format":"double","description":"Latitude for the Erf Centroid"},"longitude":{"type":"number","format":"double","description":"Longitude for the Erf Centroid"},"suburb":{"type":"string","description":"Suburb the erf belongs to"},"city":{"type":"string","description":"Town/City the erf belongs to"},"postalCode":{"type":"string","description":"Postal Code the erf belongs to"},"provinceCode":{"type":"string","description":"Province Code the erf belongs to"},"municipalCode":{"type":"string","description":"Municipality the erf belongs to"},"vdNumber":{"type":"string","description":"VD Number"},"allotmentNo":{"type":"string","description":"SG Allotment Number"},"standNo":{"type":"string","description":"SG Stand Number"},"portionNo":{"type":"string","description":"SG Portion Number"},"lisKey":{"type":"string","description":"LIS Key"},"erfArea":{"type":"number","format":"double","description":"Area of the erf in square meters"},"sgOfficeNo":{"type":"integer","format":"int32","description":"SG Office Number - For use with SG Diagrams"},"sgOffice":{"type":"string","description":"SG Office Name - For use with SG Diagrams"},"erfLabel":{"type":"string","description":"Label (formated in html) for use with popups"},"modifiedDate":{"type":"string","format":"date-time","description":"Date last modified"},"feature":{"$ref":"#/definitions/Polygon","description":"Parcel/Erf Geometry"},"nadAddresses":{"type":"array","items":{"type":"object","properties":{"nadId":{"type":"integer","format":"int64","description":"The 1map NAD Primary Key"},"ervenId":{"type":"integer","format":"int64","description":"The 1map Erven Primary Key"},"ervenLinesId":{"type":"integer","format":"int64","description":"The 1map Erven Lines Primary Key"},"ssId":{"type":"integer","format":"int64","description":"The 1map Sectional Scheme Unit Primary Key"},"addressType":{"type":"string","description":"Type of address, STREET NO, ERF NO, etc."},"source":{"type":"string","description":"Source showing where the NAD Address originated from"},"latitude":{"type":"number","format":"double","description":"Latitude of Address"},"longitude":{"type":"number","format":"double","description":"Longitude of Address"},"centLatitude":{"type":"number","format":"double","description":"Latitude of the Parent Parcel/Erf Centroid"},"centLongitude":{"type":"number","format":"double","description":"Longitude of the Parent Parcel/Erf Centroid"},"buildingNo":{"type":"string","description":"Building Number"},"buildingName":{"type":"string","description":"Building Name"},"sectionalSchemeUnit":{"type":"string","description":"Sectional Scheme Unit No"},"sectionalSchemeName":{"type":"string","description":"Sectional Scheme Name"},"streetNo":{"type":"string","description":"Street Number"},"streetName":{"type":"string","description":"Street Name"},"suburb":{"type":"string","description":"Suburb"},"city":{"type":"string","description":"Town/City"},"postalCode":{"type":"string","description":"Postal Code"},"provinceCode":{"type":"string","description":"Province Code/Abbreviation"},"municipalCode":{"type":"string","description":"Municipal Code/Abbreviation"},"vdNumber":{"type":"string","description":"VD Number"},"allotmentNo":{"type":"string","description":"SG Allotment Number"},"standNo":{"type":"string","description":"SG Stand Number"},"portionNo":{"type":"string","description":"SG Portion Number"},"lisKey":{"type":"string","description":"LIS Key"},"erfArea":{"type":"number","format":"double","description":"Area of the Parent Parcel/Erf measured in square meters"},"sgOfficeNo":{"type":"integer","format":"int32","description":"SG office Number (Used for SG Diagrams)"},"sgOffice":{"type":"string","description":"SG Office (Used for SG Diagrams)"},"addressLabel":{"type":"string","description":"Address Label, formated in html, for used in popups"},"modifiedDate":{"type":"string","format":"date-time","description":"Date last modified"}}}}},"description":"Info regarding the selected 1map Erf with associated NAD Addresses"},"FeatureWithoutPropertiesAndAttachments":{"type":"object","properties":{"type":{"type":"string","enum":["Feature"],"description":"Always Feature","example":"Feature"},"id":{"type":"string","description":"Feature unique id","example":"quidity:Erven.7489666"},"geometry":{"$ref":"#/definitions/Geometry","description":"The geometry"},"geometryName":{"type":"string","description":"The field name of the geometry","example":"the_geom"}}},"FeatureWithoutAttachments":{"type":"object","properties":{"type":{"type":"string","enum":["Feature"],"description":"Always Feature","example":"Feature"},"id":{"type":"string","description":"Feature unique id","example":"quidity:Erven.7489666"},"geometry":{"$ref":"#/definitions/Geometry","description":"The geometry"},"geometryName":{"type":"string","description":"The field name of the geometry","example":"the_geom"},"properties":{"type":"object","properties":{"erven_id":{"type":"integer","format":"int32","description":"Just an example of a field.  This will change from layer to layer.","example":7489666},"bbox":{"$ref":"#/definitions/BoundingBox","description":"The Bounding Box/Area of the individual feature/record"}},"description":"These properties are dynamic and change from layer to layer.  This is all the available fields with there values.  The example is just for illustrated purposes. There will always be a 'bbox' property, except when adding new features."}}},"FeatureWithAttachments":{"type":"object","properties":{"type":{"type":"string","enum":["Feature"],"description":"Always Feature","example":"Feature"},"id":{"type":"string","description":"Feature unique id - Not used when adding new feature","example":"quidity:Erven.7489666"},"geometry":{"$ref":"#/definitions/Geometry","description":"The geometry"},"geometryName":{"type":"string","description":"The field name of the geometry","example":"the_geom"},"properties":{"type":"object","properties":{"erven_id":{"type":"integer","format":"int32","description":"Just an example of a field.  This will change from layer to layer.","example":7489666},"bbox":{"$ref":"#/definitions/BoundingBox","description":"The Bounding Box/Area of the individual feature/record"}},"description":"These properties are dynamic and change from layer to layer.  This is all the available fields with there values.  The example is just for illustrated purposes. There will always be a 'bbox' property, except when adding new features."},"attachments":{"type":"array","items":{"$ref":"#/definitions/AttachmentsCollection","description":"List of all associated attachments to the record"}}}},"FeatureBasic":{"type":"object","properties":{"geometry":{"$ref":"#/definitions/Geometry","description":"The geometry"},"properties":{"type":"object","properties":{"field1":{"type":"string","description":"Just an example of a field.  This will change from layer to layer.","example":"value1"},"field2":{"type":"integer","format":"int32","description":"Just an example of a field.  This will change from layer to layer.","example":7489666},"field3":{"type":"boolean","description":"Just an example of a field.  This will change from layer to layer.","example":true}},"description":"These properties are dynamic and change from layer to layer.  This is all the available fields with there values.  The example is just for illustrated purposes."}}},"LandParcel":{"type":"object","properties":{"type":{"type":"string","enum":["Feature"],"description":"Always Feature","example":"Feature"},"id":{"type":"string","description":"Feature unique id","example":"quidity:Erven.7489666"},"geometry":{"$ref":"#/definitions/Polygon","description":"The geometry (This example is with a polygon)"},"geometryName":{"type":"string","description":"The field name of the geometry","example":"the_geom"},"properties":{"type":"object","properties":{"ervenId":{"type":"integer","format":"int64","description":"1map Erven Primary Id.","example":7489666},"sourceName":{"type":"string","description":"1map Erven Source.","example":"SG Western Cape"},"sourceKey":{"type":"string","description":"1map Erven Source Key.","example":""},"feaLayer":{"type":"string","enum":["ERF","MUN"],"description":"ERF or MUN","example":"ERF"},"parcelType":{"type":"string","enum":["E","EPR","F","FP","H","PK","PKP","SIE","STP","STR","URB","USL"],"description":"Parcel Type","example":"E"},"feaLabel":{"type":"string","description":"1map Erven Feature Label.","example":"6836"},"allotmentNo":{"type":"string","description":"Allotment Number","example":"C0550010"},"standNo":{"type":"string","description":"Stand Number","example":"00006836"},"portionNo":{"type":"string","description":"Portion Number","example":"00000"},"lisKey":{"type":"string","description":"LIS Key","example":"C05500100000683600000"},"suburb":{"type":"string","description":"Suburb the erf belongs to","example":"NUWE UITSIG"},"city":{"type":"string","description":"Town/City the erf belongs to","example":"WELLINGTON"},"postalCode":{"type":"string","description":"Postal Code the erf belongs to","example":"7655"},"longitude":{"type":"number","format":"double","description":"Longitude - Center of Parcel","example":19.010855},"latitude":{"type":"number","format":"double","description":"Latitude - Center of Parcel","example":-33.654131},"lifeCycle":{"type":"string","enum":["APPROVED","DELETED","HISTORY","REGISTERED","SECTIONAL SCHEME","SG APPROVED","UNKNOWN","WITHDRAWN"],"description":"Life Cycle","example":"REGISTERED"},"noOfDeedsRecords":{"type":"integer","format":"int64","description":"Number of Deeds records linked to this parcel","example":1},"bbox":{"$ref":"#/definitions/BoundingBox","description":"The Bounding Box/Area of the individual feature/record"}},"descriptio
[...]
